Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -6263,29 +6207,29 @@
           ! l'environnement
           qp_avantevap(il)=qp(il,i)
-          if (qp(il,i).gt.0) then
+          if (qp(il,i).gt.0) THEN
             do ixt=1,ntraciso
              xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
             enddo
-          else !if (qp(il,i).gt.0) then
+          else !if (qp(il,i).gt.0) THEN
               ! si qp négatif, on met les isotopes dedans à 0
             do ixt=1,ntraciso
              xtp_avantevap(ixt,il)=0.0
             enddo
-          endif !if (qp(il,i).gt.0) then
+          endif !if (qp(il,i).gt.0) THEN
         endif ! if i.lt.INB(il)
-       endif ! (i.le.inb(il) .and. lwork(il)) then
+       endif ! (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         do il=1,ncum 
-          if (i.le.inb(il) .and. lwork(il)) then      
+          if (i.le.inb(il) .and. lwork(il)) THEN
             CALL iso_verif_egalite_choix( &
                 (xtp_avantevap(iso_eau,il)), &
                 (qp_avantevap(il)), &
                  'appel stewart 95',errmax,errmaxrel)
-          endif ! (i.le.inb(il) .and. lwork(il)) then
+          endif ! (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum
-      endif !if (iso_eau.gt.0) then
+      endif !if (iso_eau.gt.0) THEN
 #endif
 
@@ -6294,5 +6238,5 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
         Pqisup(il)=sigd_vec(il)/g*wt(il,i)*water(il,i+1)+wdtrain(il)/g
         Pqiinf(il)=sigd_vec(il)/g*wt(il,i)*water(il,i) ! ce qu'on aurait dans si ce
@@ -6309,10 +6253,10 @@
                  +xtwdtrain(ixt,il)/g
         enddo
-       endif !if (i.le.inb(il) .and. lwork(il)) then
+       endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum 
 
 #ifdef ISOVERIF      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
          CALL iso_verif_egalite_choix((Pqiinf(il)),  &
                (Pqiinf_par(il)),'appel_setwart 218', &
@@ -6321,12 +6265,12 @@
 !#ifdef ISOTRAC
 !        if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) then
+!     :           (option_traceurs.eq.18)) THEN
 !        if (iso_verif_positif_nostop((        
 !     :          Pxtisup(index_trac(izone_cond,iso_eau),il)
 !     :          -Pxtisup(iso_eau,il)),
-!     :          'appel_stewart 332').eq.1) then
-!          write(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
-!          write(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
-!          write(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
+!     :          'appel_stewart 332').eq.1) THEN
+!          WRITE(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
+!          WRITE(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
+!          WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
 !          stop
 !        endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
@@ -6336,18 +6280,18 @@
         
 !      il=370 
-!      write(*,*) 'appel_stewart 327: il=',il
-!      write(*,*) 'Pqisup,Pqiinf,Eqi_prime,Eqi,Pqiinf_par,Eqi_par=',
+!      WRITE(*,*) 'appel_stewart 327: il=',il
+!      WRITE(*,*) 'Pqisup,Pqiinf,Eqi_prime,Eqi,Pqiinf_par,Eqi_par=',
 !     :     Pqisup(il),Pqiinf(il),Eqi_prime(il),Eqi(il),
 !     :     Pqiinf_par(il),Eqi_par(il)
-!      write(*,*) 'fac_ftmr=',fac_ftmr(il)
-!      write(*,*) 'qp_avantevap,qp=',qp_avantevap(il),qp(il,i)
+!      WRITE(*,*) 'fac_ftmr=',fac_ftmr(il)
+!      WRITE(*,*) 'qp_avantevap,qp=',qp_avantevap(il),qp(il,i)
 #endif      
 
       ! petite vérif sur les flux
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
          if ((Eqi_par(il).lt.0.0) &
                 .and.(Pqiinf_par(il).le.0.0) &
-               .and.(water(il,i).gt.ridicule/10.)) then
+               .and.(water(il,i).gt.ridicule/10.)) THEN
             ! dans ce cas, on a de l'eau sortant dont il faut déterminer la
             ! composition, mais pourtant le bilan de masse indique qu'il
@@ -6355,8 +6299,8 @@
             ! l'eau sortant, Eqi_par<0 -> condensation! On est donc très
             ! embétté car Eqi_prime indique qu'il y a évaporation...   
-!            write(*,*) 'appel_stewart 239: cas génant'  
+!            WRITE(*,*) 'appel_stewart 239: cas génant'
 
             if (Eqi_prime(il)*fac_ftmr(il).lt. &
-                qp_avantevap(il)*1e-2) then
+                qp_avantevap(il)*1e-2) THEN
                 ! ouf: Eqi_prime a peut d'effet sur la vapeur du ddft.
                 ! on peut donc condenser tranquillement pour obtenir de
@@ -6365,12 +6309,12 @@
                 Eqi_prime(il)=Eqi_par(il)
             else
-             write(*,*) 'appel_stewart 222: ce cas est très génant'
+             WRITE(*,*) 'appel_stewart 222: ce cas est très génant'
              stop
             endif
           endif
-        endif !if (i.le.inb(il) .and. lwork(il)) then
+        endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo !do il=1,ncum
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
           do il=1,ncum
             xtp_avantevap(iso_eau,il)=qp_avantevap(il)
@@ -6389,5 +6333,5 @@
       ! initialisation de l'outil de tracage de cas:
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then
+        if (i.le.inb(il) .and. lwork(il)) THEN
           trace_cas(il)=0
         else
@@ -6395,17 +6339,17 @@
         endif
       enddo !do il=1,ncum
-!      if (ncum.ge.602) then
-!          write(*,*) 'appel_stewart tmp 379: avant parsage'
+!      if (ncum.ge.602) THEN
+!          WRITE(*,*) 'appel_stewart tmp 379: avant parsage'
 !          il=602
-!          write(*,*) 'il,Eqi_prime(il)=',il,Eqi_prime(il)
-!          write(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
-!          write(*,*) 'ridicule,errmax=',ridicule,errmax
+!          WRITE(*,*) 'il,Eqi_prime(il)=',il,Eqi_prime(il)
+!          WRITE(*,*) 'fac_ftmr(il)=',fac_ftmr(il)
+!          WRITE(*,*) 'ridicule,errmax=',ridicule,errmax
 !      endif
 #endif      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then 
-!        write(*,*) 'tmp 417: il,Eqi_prime=',il,Eqi_prime(il)   
+       if (i.le.inb(il) .and. lwork(il)) THEN
+!        WRITE(*,*) 'tmp 417: il,Eqi_prime=',il,Eqi_prime(il)
         if ((Eqi_prime(il).lt.-ridicule*1e-3).or. &
-              (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) then
+              (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) THEN
             ! modif le 10 mai 2009: si Eqi_prime très petit, on le
             ! traite comme du 0
@@ -6414,6 +6358,6 @@
             ! noevap
           ! 1: Eqi_prime<0: condensation
-!          write(*,*) 'tmp 426: condensation'
-          if (fac_ftmr(il).gt.ridicule/100.) then
+!          WRITE(*,*) 'tmp 426: condensation'
+          if (fac_ftmr(il).gt.ridicule/100.) THEN
             ! si fac_ftmr très petit, on le traite comme du 0
             ! 1.1: si Mpi>0
@@ -6423,5 +6367,5 @@
             trace_cas(il)=11
 #endif            
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
             ! 1.2: si Mpi=0
             icas_condensation_nofacftmr=icas_condensation_nofacftmr+1  
@@ -6430,9 +6374,9 @@
             trace_cas(il)=12
 #endif
-          endif !if (fac_ftmr.gt.0.0) then
+          endif !if (fac_ftmr.gt.0.0) THEN
 !        else if ((abs(Eqi_prime(il)).lt.ridicule*1e-3).and.
-!     :      (abs(Eqi_prime(il)*fac_ftmr(il)).lt.ridicule*10)) then 
+!     :      (abs(Eqi_prime(il)*fac_ftmr(il)).lt.ridicule*10)) THEN
         else if ((Eqi_prime(il).lt.ridicule*1e-3).and. & 
-           (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) then
+           (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) THEN
             ! 2: Eqi_prime est compris entre 1e-14 et -1e-14: rien 
 !            ! 27 mai 2009: on remplace le seuil pour Eqi_prime(il)*fac_ftmr(il)
@@ -6445,5 +6389,5 @@
             ! dans le trou entre condensation et noevap, et ça part dans
             ! l'évap positive! -> on enlève la valeur absolue.
-!            write(*,*) 'tmp 457: noevap'
+!            WRITE(*,*) 'tmp 457: noevap'
             icas_noevap=icas_noevap+1  
             cas_noevap(icas_noevap)=il
@@ -6451,42 +6395,42 @@
             trace_cas(il)=2
             if ((Pqisup(il).le.0.0).and. &
-                (water(il,i).gt.ridicule)) then
-            write(*,*) 'appel_stewart 420: water=',water(il,i)
-            write(*,*) 'Pqisup,Eqi_prime,fac_ftmr=',Pqisup(il), &
+                (water(il,i).gt.ridicule)) THEN
+            WRITE(*,*) 'appel_stewart 420: water=',water(il,i)
+            WRITE(*,*) 'Pqisup,Eqi_prime,fac_ftmr=',Pqisup(il), &
                  Eqi_prime(il),fac_ftmr(il)
             stop
          endif
 #endif
-        else    !if (Eqi_prime.lt.0.0) then
+        else    !if (Eqi_prime.lt.0.0) THEN
         ! 3: Eqi_prime>0 
 #ifdef ISOVERIF  
-!        write(*,*) 'tmp 473: evap'
+!        WRITE(*,*) 'tmp 473: evap'
         ! quelques vérifs du bilan de masse d'eau 
              if (iso_verif_positif_nostop(( &
                  Pqisup(il)-Eqi_prime(il)), &
-                 'appel_stewart 388').eq.1) then
-               write(*,*) 'Pqisup=',Pqisup(il)
-               write(*,*) 'Eqi_prime=',Eqi_prime(il)
-               write(*,*) 'Pqiinf=',Pqiinf(il)
-!               write(*,*) 'stop temporaire, à enlever'
+                 'appel_stewart 388').eq.1) THEN
+               WRITE(*,*) 'Pqisup=',Pqisup(il)
+               WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
+               WRITE(*,*) 'Pqiinf=',Pqiinf(il)
+!               WRITE(*,*) 'stop temporaire, à enlever'
 !               stop
               endif
               if (iso_verif_positif_choix_nostop(( &
                 Pqisup(il)-Pqiinf_par(il)),errmax, &
-                'appel_stewart 442').eq.1) then
-                write(*,*) 'appel_stewart 174'
-                write(*,*) 'Pqisup=',Pqisup(il), &
+                'appel_stewart 442').eq.1) THEN
+                WRITE(*,*) 'appel_stewart 174'
+                WRITE(*,*) 'Pqisup=',Pqisup(il), &
                 ' Pqiinf_par=',Pqiinf_par(il)
                 stop
               endif               
               if (iso_verif_positif_nostop((Eqi_par(il)), &
-                'appel_stewart 559b').eq.1) then
-                write(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
+                'appel_stewart 559b').eq.1) THEN
+                WRITE(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
                        Eqi(il),Eqi_plus1(il),Eqi_prime(il)
-                write(*,*) 'Pqisup(il),Pqiinf(il),Eqi_par(il)=', &
+                WRITE(*,*) 'Pqisup(il),Pqiinf(il),Eqi_par(il)=', &
                         Pqisup(il),Pqiinf(il),Eqi_par(il)
               endif
 #endif              
-              if (T(il,i).ge.ztglace_kelvin) then
+              if (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.1: evap des gouttes
                 icas_evap_liq=icas_evap_liq+1  
@@ -6495,5 +6439,5 @@
                 trace_cas(il)=31
 #endif
-              else !if (T(il,i).ge.ztglace_kelvin) then
+              else !if (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.2: evap de la glace
                 icas_evap_glace=icas_evap_glace+1  
@@ -6502,7 +6446,7 @@
                 trace_cas(il)=32
 #endif  
-              endif !if (T(il,i).ge.ztglace_kelvin) then
-          endif !if (Eqi_prime.lt.0.0) then
-       endif !if (i.le.inb(il) .and. lwork(il)) then 
+              endif !if (T(il,i).ge.ztglace_kelvin) THEN
+          endif !if (Eqi_prime.lt.0.0) THEN
+       endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo  !do il=1,ncum 
 
@@ -6514,27 +6458,27 @@
 
 #ifdef ISOVERIF
-!      write(*,*) 'appel_stewart vectoriel 355: parsage des cas:'
-!      if (ncum.ge.602) then
-!          write(*,*) 'trace_cas(602)=',trace_cas(602)
+!      WRITE(*,*) 'appel_stewart vectoriel 355: parsage des cas:'
+!      if (ncum.ge.602) THEN
+!          WRITE(*,*) 'trace_cas(602)=',trace_cas(602)
 !      endif  
       ncas_tot=0
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then 
+        if (i.le.inb(il) .and. lwork(il)) THEN
             ncas_tot=ncas_tot+1
         endif
       enddo
-!      write(*,*) 'i,ncum,ncas_tot=',i,ncum,ncas_tot
-!      write(*,*) 'ncas_condensation_facftmr=',ncas_condensation_facftmr
-!      write(*,*) 'ncas_condensation_nofacftmr=',
+!      WRITE(*,*) 'i,ncum,ncas_tot=',i,ncum,ncas_tot
+!      WRITE(*,*) 'ncas_condensation_facftmr=',ncas_condensation_facftmr
+!      WRITE(*,*) 'ncas_condensation_nofacftmr=',
 !     :            ncas_condensation_nofacftmr
-!      write(*,*) 'ncas_noevap=',ncas_noevap
-!      write(*,*) 'ncas_evap_liq_=',ncas_evap_liq
-!      write(*,*) 'ncas_evap_glace=',ncas_evap_glace
+!      WRITE(*,*) 'ncas_noevap=',ncas_noevap
+!      WRITE(*,*) 'ncas_evap_liq_=',ncas_evap_liq
+!      WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
       if (ncas_tot.ne.ncas_condensation_facftmr &
                +ncas_condensation_nofacftmr&
                +ncas_noevap&
                +ncas_evap_liq &
-               +ncas_evap_glace) then
-         write(*,*) 'mauvais parsage'
+               +ncas_evap_glace) THEN
+         WRITE(*,*) 'mauvais parsage'
          stop
        endif !if (ncas_tot.ne.ncas_condensation_facftmr
@@ -6544,6 +6488,5 @@
       ! ****** traitement vectoriel du cas 1.1
 
-      if (ncas_condensation_facftmr.gt.0) then
-
+      if (ncas_condensation_facftmr.gt.0) THEN
       CALL compress_cond_facftmr(ncas_condensation_facftmr,   &
          cas_condensation_facftmr, &
@@ -6566,9 +6509,9 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-      write(*,*) 'appel_stewart tmp 506: ', &
+      WRITE(*,*) 'appel_stewart tmp 506: ', &
                 'après compress_condensation_facftmr'
-      write(*,*) 'cas_condensation_facftmr(1)=', &
+      WRITE(*,*) 'cas_condensation_facftmr(1)=', &
                 cas_condensation_facftmr(1)
-      write(*,*) 'sigd_cas(1:3)=',sigd_cas(1:3)  
+      WRITE(*,*) 'sigd_cas(1:3)=',sigd_cas(1:3)
       do il=1,ncas_condensation_facftmr
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -6580,5 +6523,5 @@
               'appel_stewart 460: compression condensation_facftmr', &
               errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -6586,5 +6529,5 @@
               'appel_stewart 520: compression condensation_facftmr',&
               errmax,errmax)
-        endif ! if (iso_eau.gt.0) then
+        endif ! if (iso_eau.gt.0) THEN
       enddo ! do il=1,ncas_condensation_facftmr
 #endif                  
@@ -6623,5 +6566,5 @@
 
 !#ifdef ISOVERIF     
-!       write(*,*) 'appel_stewart tmp 538: condensation_facftmr, izone=',
+!       WRITE(*,*) 'appel_stewart tmp 538: condensation_facftmr, izone=',
 !     &         izone
 !#endif      
@@ -6643,5 +6586,5 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do il=1,ncas_condensation_facftmr
             CALL iso_verif_egalite_choix( &
@@ -6650,5 +6593,5 @@
                 'appel_stewart 558',errmax,errmaxrel)
           enddo !do il=1,ncas_condensation_nofacftmr
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif
         CALL make_condensation_facftmr(ncas_condensation_facftmr, &
@@ -6682,17 +6625,17 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel_stewart tmp 574: ',
+!        WRITE(*,*) 'appel_stewart tmp 574: ',
 !     :           'fin cas condensation_facftmr'
             do il=1,ncas_condensation_facftmr
-!               write(*,*) 'il,cas_condensation_facftmr(il)=',
+!               WRITE(*,*) 'il,cas_condensation_facftmr(il)=',
 !     :           il,cas_condensation_facftmr(il)
-!               write(*,*) 'xtp(1:ntraciso:3)=',xtp(1:ntraciso:3,
+!               WRITE(*,*) 'xtp(1:ntraciso:3)=',xtp(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il),i)
-!               write(*,*) 'xtp_avantevap(1:ntraciso:3)=',
+!               WRITE(*,*) 'xtp_avantevap(1:ntraciso:3)=',
 !     :           xtp_avantevap(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il))
-!               if (il.eq.cas_condensation_facftmr(602)) then
-!                write(*,*) 'appel_stewart 638: il=602'
-!                write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!               if (il.eq.cas_condensation_facftmr(602)) THEN
+!                WRITE(*,*) 'appel_stewart 638: il=602'
+!                WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :           xtp(iso_eau:ntraciso:3,cas_condensation_facftmr(il),i)
 !               endif
@@ -6712,11 +6655,8 @@
         !#ifdef ISOTRAC    
 
-           endif !if (ncas_condensation_facftmr.gt.0) then
-
-
+           endif !if (ncas_condensation_facftmr.gt.0) THEN
         ! ****** traitement vectoriel du cas 1.2
 
-      if (ncas_condensation_nofacftmr.gt.0) then
-
+      if (ncas_condensation_nofacftmr.gt.0) THEN
       CALL compress_cond_nofftmr(ncas_condensation_nofacftmr, &
          cas_condensation_nofacftmr, &
@@ -6739,7 +6679,7 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart tmp 616: ', &
+!      WRITE(*,*) 'appel_stewart tmp 616: ', &
 !     &           'après compress condensation_nofacftmr'
-!      write(*,*) 'iso_routines 6854: sigd_cas(1:3)=', sigd_cas(1:3)
+!      WRITE(*,*) 'iso_routines 6854: sigd_cas(1:3)=', sigd_cas(1:3)
       do il=1,ncas_condensation_nofacftmr
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -6778,5 +6718,5 @@
 #ifdef ISOTRAC
        do izone=1,ntraceurs_zone
-!         write(*,*) 'appel_stewart 718: izone=',izone
+!         WRITE(*,*) 'appel_stewart 718: izone=',izone
 
          CALL compress_cond_nofftmr_zone( &
@@ -6818,5 +6758,5 @@
        enddo !do izone=1,ntraceurs_zone
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart tmp 690: ',
+!       WRITE(*,*) 'appel_stewart tmp 690: ',
 !     :           'fin du cas condensation_nofacftmr'
             do il=1,ncas_condensation_nofacftmr
@@ -6835,10 +6775,8 @@
 #endif            
        
-        endif !if (ncas_condensation_nofacftmr.gt.0) then
-
-        
+        endif !if (ncas_condensation_nofacftmr.gt.0) THEN
         ! ****** traitement vectoriel du cas 2
 
-      if (ncas_noevap.gt.0) then
+      if (ncas_noevap.gt.0) THEN
       CALL compress_noevap(ncas_noevap, &
          cas_noevap, &
@@ -6856,5 +6794,5 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel stewart 719: après compression iso noevap'
+!      WRITE(*,*) 'appel stewart 719: après compression iso noevap'
       do il=1,ncas_noevap
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -6864,5 +6802,5 @@
                 water(cas_noevap(il),i), &
                 'appel_stewart 693: compression',errmax,errmaxrel)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -6877,5 +6815,5 @@
                 qp_cas(il), &
                 'appel_stewart 735',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
       enddo !do il=1,ncas_noevap
 #endif      
@@ -6913,5 +6851,5 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel stewart 765: après compression isotrac'
+!        WRITE(*,*) 'appel stewart 765: après compression isotrac'
         do il=1,ncas_noevap
           CALL iso_verif_egalite_choix( &
@@ -6938,5 +6876,5 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel_stewart tmp 806: ',
+!        WRITE(*,*) 'appel_stewart tmp 806: ',
 !     :           'fin du cas noevap'
        do il=1,ncas_noevap
@@ -6952,12 +6890,8 @@
 #endif       
 
-        endif !if (ncas_noevap.gt.0) then
-
-
+        endif !if (ncas_noevap.gt.0) THEN
         ! ****** traitement vectoriel du cas 3.1
 
-      if (ncas_evap_liq.gt.0) then
-          
-
+      if (ncas_evap_liq.gt.0) THEN
       CALL compress_evap_liq(30,ncas_evap_liq, &
          cas_evap_liq, &
@@ -6986,9 +6920,9 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart tmp 899: ',
+!      WRITE(*,*) 'appel_stewart tmp 899: ',
 !     :           'après compress_evap_liq'
       do il=1,ncas_evap_liq
-!       write(*,*) 'il=',il
-!      write(*,*) 'qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il)=',
+!       WRITE(*,*) 'il=',il
+!      WRITE(*,*) 'qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il)=',
 !     :    qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il) 
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -7005,5 +6939,5 @@
               'appel_stewart 783: compression evap_liq', &
                 errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -7019,9 +6953,9 @@
       enddo   !do il=1,ncas_evap_liq
 
-!      write(*,*) 'appel tmp 802: xtp_avantevap_cas(iso_eau,2)=',
+!      WRITE(*,*) 'appel tmp 802: xtp_avantevap_cas(iso_eau,2)=',
 !     :           xtp_avantevap_cas(iso_eau,2)
-!      write(*,*) 'appel tmp 1490: qp_avantevap_cas(2)=',
+!      WRITE(*,*) 'appel tmp 1490: qp_avantevap_cas(2)=',
 !     :           qp_avantevap_cas(2)
-!       write(*,*) 'appel_stewart 933: make_cas_evap_liq pr eau normale'
+!       WRITE(*,*) 'appel_stewart 933: make_cas_evap_liq pr eau normale'
 
        ! ici, ptrac ne sera pas utilisé
@@ -7054,5 +6988,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) then
+       if (option_revap.eq.1) THEN
          do il=1,ncas_evap_liq  
            do iiso=1,niso
@@ -7069,8 +7003,8 @@
       do izone=1,ntraceurs_zone      
       
-!       write(*,*) 'appel_stewart 924 tmp: cas liq: izone=',izone 
-!       write(*,*) 'appel 924: xtp_avantevap(c,cas(2))=',
+!       WRITE(*,*) 'appel_stewart 924 tmp: cas liq: izone=',izone
+!       WRITE(*,*) 'appel 924: xtp_avantevap(c,cas(2))=',
 !     :           xtp_avantevap(1:ntraciso:3,cas_evap_liq(2))
-!       write(*,*) 'Pxtisup(1:ntraciso:3,cas(2))=',
+!       WRITE(*,*) 'Pxtisup(1:ntraciso:3,cas(2))=',
 !     :           Pxtisup(1:ntraciso:3,cas_evap_liq(2))
        CALL compress_evap_liq_zone(30,ncas_evap_liq, &
@@ -7093,23 +7027,23 @@
 
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart tmp 941'
-!       if (ncas_evap_liq.ge.162) then
-!          write(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(162)
-!           write(*,*) 'Pqisup=',Pqisup(cas_evap_liq(162))
-!           write(*,*) 'Eqi_prime=',Eqi_prime(cas_evap_liq(162))
-!           write(*,*) 'Pxtisup=',
+!       WRITE(*,*) 'appel_stewart tmp 941'
+!       if (ncas_evap_liq.ge.162) THEN
+!          WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(162)
+!           WRITE(*,*) 'Pqisup=',Pqisup(cas_evap_liq(162))
+!           WRITE(*,*) 'Eqi_prime=',Eqi_prime(cas_evap_liq(162))
+!           WRITE(*,*) 'Pxtisup=',
 !     :           Pxtisup(iso_eau:ntraciso:3,cas_evap_liq(162))
 !       endif
-!        write(*,*) 'qp_avantevap_cas(2)=',
+!        WRITE(*,*) 'qp_avantevap_cas(2)=',
 !     :           qp_avantevap_cas(2)
-!       write(*,*) 'xtp_avantevap(iso_eau,cas_evap_liq(1))=',
+!       WRITE(*,*) 'xtp_avantevap(iso_eau,cas_evap_liq(1))=',
 !     :           xtp_avantevap(iso_eau,cas_evap_liq(1))
-!       write(*,*) 'xtp_avantevap_cas(iso_eau,2)=',
+!       WRITE(*,*) 'xtp_avantevap_cas(iso_eau,2)=',
 !     :           xtp_avantevap_cas(iso_eau,2)
-!       write(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
+!       WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
 !     :           xtp_avantevaptrac_cas(iso_eau,2)
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
            do il=1,ncas_evap_liq
-!             write(*,*) 'appel_stewart tmp 943: il=',il
+!             WRITE(*,*) 'appel_stewart tmp 943: il=',il
              CALL iso_verif_egalite_choix( &
               (qp_avantevap(cas_evap_liq(il))), &
@@ -7133,18 +7067,18 @@
                 errmax,errmaxrel)
 !             if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) then
-!               if (izone.eq.izone_cond) then
+!     :           (option_traceurs.eq.18)) THEN
+!               if (izone.eq.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           Pxtisup_cas(iso_eau,il)
 !     :           -Pxtisup(iso_eau,cas_evap_liq(il))),
 !     :           'appel_stewart_vectall 1114')
-!               else !if (izone.eq.izone_cond) then
+!               else !if (izone.eq.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           -Pxtisup_cas(iso_eau,il)),
 !     :           'appel_stewart_vectall 1118')
-!               endif !if (izone.eq.izone_cond) then
+!               endif !if (izone.eq.izone_cond) THEN
 !             endif   !if ((option_traceurs.eq.17).or.
            enddo !do il=1,ncas_evap_liq
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif       
 
@@ -7172,13 +7106,13 @@
               'appel stewart 745')
         enddo !do ixt=1,niso
-!        if ((option_traceurs.eq.17).or.(option_traceurs.eq.18)) then
-!            if (izone.eq.izone_cond) then
+!        if ((option_traceurs.eq.17).or.(option_traceurs.eq.18)) THEN
+!            if (izone.eq.izone_cond) THEN
 !              CALL iso_verif_positif(xtwater_cas(iso_eau,il)
 !     :           -xtwater(iso_eau,cas_evap_liq(il),i),
 !     :           'appel_stewart_vectall 1138')
-!            else !if (izone.eq.izone_cond) then
+!            else !if (izone.eq.izone_cond) THEN
 !                CALL iso_verif_positif(-xtwater_cas(iso_eau,il),
 !     :           'appel_stewart_vectall 1147')
-!            endif !if (izone.eq.izone_cond) then
+!            endif !if (izone.eq.izone_cond) THEN
 !        endif !if ((option_traceurs.eq.17).or.        
       enddo !do il=1,ncas_evap_liq
@@ -7200,25 +7134,25 @@
            
            if (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
-                'appel_stewart_vectall 1256').eq.1) then
-             write(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
-             write(*,*) 'trace_cas(cas_evap_liq(il))=', &
+                'appel_stewart_vectall 1256').eq.1) THEN
+             WRITE(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
+             WRITE(*,*) 'trace_cas(cas_evap_liq(il))=', &
                 trace_cas(cas_evap_liq(il))
-             if (trace_cas(cas_evap_liq(il)).eq.31) then
-                 write(*,*) 'cas evap_liq'
-                 write(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
+             if (trace_cas(cas_evap_liq(il)).eq.31) THEN
+                 WRITE(*,*) 'cas evap_liq'
+                 WRITE(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
                    xtp(:,cas_evap_liq(il),i)
-                 write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-                 write(*,*) 'Eqi_stewart(il),Eqi_prime=', &
+                 WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+                 WRITE(*,*) 'Eqi_stewart(il),Eqi_prime=', &
                         Eqi_stewart(il),Eqi_prime(cas_evap_liq(il))
-                 write(*,*) 'Pxtisup(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'Pxtisup(:,cas_evap_liq(il))=', &
                         Pxtisup(:,cas_evap_liq(il))
-                 write(*,*) 'xtp_avantevap(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'xtp_avantevap(:,cas_evap_liq(il))=', &
                        xtp_avantevap(:,cas_evap_liq(il))
-                 write(*,*) 'Exi(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'Exi(:,cas_evap_liq(il))=', &
                        Exi(:,cas_evap_liq(il))
-                 write(*,*) 'T_cas(il)=',T_cas(il)
-                 write(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
+                 WRITE(*,*) 'T_cas(il)=',T_cas(il)
+                 WRITE(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
                         qp_avantevap_cas(il)/qs_cas(il)
-             endif !if (trace_cas(il).eq.31) then
+             endif !if (trace_cas(il).eq.31) THEN
                 ! en cas de problème ci, activer l'option débug de
                 ! stewart_explicit
@@ -7236,5 +7170,5 @@
            CALL iso_verif_traceur_justmass(xtevap(1,cas_evap_liq(il),i), &
                 'appel_stewart_vectall 1258')
-!           write(*,*) 'appel_stewart tmp 1172: il,i=',il,i          
+!           WRITE(*,*) 'appel_stewart tmp 1172: il,i=',il,i
            CALL iso_verif_traceur(xtwater(1,cas_evap_liq(il),i), &
                 'appel_stewart_vectall 1260')
@@ -7243,14 +7177,8 @@
 #endif
 
-        endif !if (ncas_evap_liq.gt.0) then
-
-       
-        
-
+        endif !if (ncas_evap_liq.gt.0) THEN
                 ! ****** traitement vectoriel du cas 3.2
 
-      if (ncas_evap_glace.gt.0) then
-
-
+      if (ncas_evap_glace.gt.0) THEN
       CALL compress_evap_glace(30, &
          ncas_evap_glace,cas_evap_glace, &
@@ -7275,11 +7203,11 @@
 
 #ifdef ISOVERIF
-!      write(*,*) 'appel_stewart tmp 898 après compress glace'
-!      write(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
+!      WRITE(*,*) 'appel_stewart tmp 898 après compress glace'
+!      WRITE(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
 !     :    qp_avantevap_cas(1),qp_avantevap(cas_evap_glace(1))   
       ! vérif de la compression
       do il=1,ncas_evap_glace
-!       write(*,*) 'il=',il
-!      write(*,*) 'qp_avantevap_cas(il),qp_avantevap(cas(il))=',
+!       WRITE(*,*) 'il=',il
+!      WRITE(*,*) 'qp_avantevap_cas(il),qp_avantevap(cas(il))=',
 !     &   qp_avantevap_cas(il),qp_avantevap(cas_evap_glace(il)) 
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -7305,5 +7233,5 @@
               'appel_stewart 914: compression evap_glace', &
                 errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -7311,7 +7239,7 @@
               'appel_stewart 919: compression evap_glace',&
                errmax,errmax)
-        endif   !if (iso_eau.gt.0) then   
+        endif   !if (iso_eau.gt.0) THEN
       enddo !do il=1,ncas_evap_glace
-!       write(*,*) 'appel_stewart tmp 1054 appel make_cas_evap_glace'
+!       WRITE(*,*) 'appel_stewart tmp 1054 appel make_cas_evap_glace'
 #endif   
       
@@ -7332,5 +7260,5 @@
 
 !#ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart tmp 1073 après make_cas_evap_glace'
+!        WRITE(*,*) 'appel_stewart tmp 1073 après make_cas_evap_glace'
 !#endif
 
@@ -7346,5 +7274,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) then
+       if (option_revap.eq.1) THEN
          do il=1,ncas_evap_glace   
            do iiso=1,niso
@@ -7355,8 +7283,7 @@
            enddo  !do iiso=1,niso  
          enddo !do il=1,ncas_evap_glace  
-       endif !if (option_revap.eq.1) then
-
+       endif !if (option_revap.eq.1) THEN
        do izone=1,ntraceurs_zone
-!       write(*,*) 'tmp appel_stewart 1284: izone=',izone
+!       WRITE(*,*) 'tmp appel_stewart 1284: izone=',izone
 
        CALL compress_evap_glace_zone(30, &
@@ -7377,5 +7304,5 @@
 
 !#ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart tmp 1101 CALL make_cas_evap_glace'
+!        WRITE(*,*) 'appel_stewart tmp 1101 CALL make_cas_evap_glace'
 !#endif       
        CALL make_cas_evap_glace(ncas_evap_glace, &
